Get Datacenter Location
Get Datacenter Location
Retrieves the configured geographical location of the HCX Manager's datacenter. This location information is used for topology visualization and datacenter mapping in the HCX UI.
Request
URI
GET
https://{server}:9443/api/admin/global/config/location
COPY
Authentication
This operation uses the following authentication methods.
Responses
200
Location retrieved successfully
Returns
LocationGetResponse200
of type(s)
application/json
{
"city": "string",
"country": "string",
"cityAscii": "string",
"latitude": "string",
"longitude": "string"
}
string
city
Optional
city
string
country
Optional
country
string
cityAscii
Optional
cityAscii
string
latitude
Optional
latitude
string
longitude
Optional
longitude
500
Internal server error while retrieving location
Returns
ErrorResponse
of type(s)
application/json
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
boolean
isSuccess
Required
Indicates if the operation was successful
string
message
Required
Human-readable error message
integer
httpStatusCode
Required
HTTP status code
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/admin/global/config/location
Deprecated
Location Configuration Operations
GET
Get Datacenter Location
Deprecated
PUT
Update Datacenter Location
Deprecated
GET
Search Cities
Deprecated